package Visual_DVM_2021.Passes.All;
import Common.Current_;
import _VisualDVM.Constants;
import _VisualDVM.Current;
import _VisualDVM.Global;
import _VisualDVM.GlobalData.RemoteFile.RemoteFile;
public class ShowSapforCompilationErr extends ShowTestingServerFile{
    @Override
    protected int getTimeout() {
        return super.getTimeout();
    }
    @Override
    public String getIconPath() {
        return "/icons/CompilationErrors.png";
    }
    @Override
    public String getButtonText() {
        return "";
    }
    @Override
    protected boolean canStart(Object... args) throws Exception {
        if (!Global.mainModule.Check(Log,Current.ServerSapfor)){
            return false;
        }
        return super.canStart("Поток ошибок", new RemoteFile(Global.mainModule.getServerSapfor().home_path, Constants.err_file));
    }
}
